/[LeafOK_CVS]/lbbs/configure
ViewVC logotype

Diff of /lbbs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.15 by sysadm, Sat Jul 30 16:14:52 2005 UTC Revision 1.16 by sysadm, Tue Apr 8 06:39:40 2008 UTC
# Line 19262  else Line 19262  else
19262    RANLIB="$ac_cv_prog_RANLIB"    RANLIB="$ac_cv_prog_RANLIB"
19263  fi  fi
19264    
19265    ac_ext=cc
19266    ac_cpp='$CXXCPP $CPPFLAGS'
19267    ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
19268    ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
19269    ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
19270    if test -n "$ac_tool_prefix"; then
19271      for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
19272      do
19273        # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
19274    set dummy $ac_tool_prefix$ac_prog; ac_word=$2
19275    echo "$as_me:$LINENO: checking for $ac_word" >&5
19276    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19277    if test "${ac_cv_prog_CXX+set}" = set; then
19278      echo $ECHO_N "(cached) $ECHO_C" >&6
19279    else
19280      if test -n "$CXX"; then
19281      ac_cv_prog_CXX="$CXX" # Let the user override the test.
19282    else
19283    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19284    for as_dir in $PATH
19285    do
19286      IFS=$as_save_IFS
19287      test -z "$as_dir" && as_dir=.
19288      for ac_exec_ext in '' $ac_executable_extensions; do
19289      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19290        ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
19291        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19292        break 2
19293      fi
19294    done
19295    done
19296    
19297    fi
19298    fi
19299    CXX=$ac_cv_prog_CXX
19300    if test -n "$CXX"; then
19301      echo "$as_me:$LINENO: result: $CXX" >&5
19302    echo "${ECHO_T}$CXX" >&6
19303    else
19304      echo "$as_me:$LINENO: result: no" >&5
19305    echo "${ECHO_T}no" >&6
19306    fi
19307    
19308        test -n "$CXX" && break
19309      done
19310    fi
19311    if test -z "$CXX"; then
19312      ac_ct_CXX=$CXX
19313      for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
19314    do
19315      # Extract the first word of "$ac_prog", so it can be a program name with args.
19316    set dummy $ac_prog; ac_word=$2
19317    echo "$as_me:$LINENO: checking for $ac_word" >&5
19318    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19319    if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
19320      echo $ECHO_N "(cached) $ECHO_C" >&6
19321    else
19322      if test -n "$ac_ct_CXX"; then
19323      ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
19324    else
19325    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19326    for as_dir in $PATH
19327    do
19328      IFS=$as_save_IFS
19329      test -z "$as_dir" && as_dir=.
19330      for ac_exec_ext in '' $ac_executable_extensions; do
19331      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19332        ac_cv_prog_ac_ct_CXX="$ac_prog"
19333        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19334        break 2
19335      fi
19336    done
19337    done
19338    
19339    fi
19340    fi
19341    ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
19342    if test -n "$ac_ct_CXX"; then
19343      echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
19344    echo "${ECHO_T}$ac_ct_CXX" >&6
19345    else
19346      echo "$as_me:$LINENO: result: no" >&5
19347    echo "${ECHO_T}no" >&6
19348    fi
19349    
19350      test -n "$ac_ct_CXX" && break
19351    done
19352    test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
19353    
19354      CXX=$ac_ct_CXX
19355    fi
19356    
19357    
19358    # Provide some information about the compiler.
19359    echo "$as_me:$LINENO:" \
19360         "checking for C++ compiler version" >&5
19361    ac_compiler=`set X $ac_compile; echo $2`
19362    { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
19363      (eval $ac_compiler --version </dev/null >&5) 2>&5
19364      ac_status=$?
19365      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19366      (exit $ac_status); }
19367    { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
19368      (eval $ac_compiler -v </dev/null >&5) 2>&5
19369      ac_status=$?
19370      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19371      (exit $ac_status); }
19372    { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
19373      (eval $ac_compiler -V </dev/null >&5) 2>&5
19374      ac_status=$?
19375      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19376      (exit $ac_status); }
19377    
19378    echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
19379    echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
19380    if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
19381      echo $ECHO_N "(cached) $ECHO_C" >&6
19382    else
19383      cat >conftest.$ac_ext <<_ACEOF
19384    /* confdefs.h.  */
19385    _ACEOF
19386    cat confdefs.h >>conftest.$ac_ext
19387    cat >>conftest.$ac_ext <<_ACEOF
19388    /* end confdefs.h.  */
19389    
19390    int
19391    main ()
19392    {
19393    #ifndef __GNUC__
19394           choke me
19395    #endif
19396    
19397      ;
19398      return 0;
19399    }
19400    _ACEOF
19401    rm -f conftest.$ac_objext
19402    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19403      (eval $ac_compile) 2>conftest.er1
19404      ac_status=$?
19405      grep -v '^ *+' conftest.er1 >conftest.err
19406      rm -f conftest.er1
19407      cat conftest.err >&5
19408      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19409      (exit $ac_status); } &&
19410             { ac_try='test -z "$ac_cxx_werror_flag"
19411                             || test ! -s conftest.err'
19412      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19413      (eval $ac_try) 2>&5
19414      ac_status=$?
19415      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19416      (exit $ac_status); }; } &&
19417             { ac_try='test -s conftest.$ac_objext'
19418      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19419      (eval $ac_try) 2>&5
19420      ac_status=$?
19421      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19422      (exit $ac_status); }; }; then
19423      ac_compiler_gnu=yes
19424    else
19425      echo "$as_me: failed program was:" >&5
19426    sed 's/^/| /' conftest.$ac_ext >&5
19427    
19428    ac_compiler_gnu=no
19429    fi
19430    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19431    ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
19432    
19433    fi
19434    echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
19435    echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
19436    GXX=`test $ac_compiler_gnu = yes && echo yes`
19437    ac_test_CXXFLAGS=${CXXFLAGS+set}
19438    ac_save_CXXFLAGS=$CXXFLAGS
19439    CXXFLAGS="-g"
19440    echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
19441    echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
19442    if test "${ac_cv_prog_cxx_g+set}" = set; then
19443      echo $ECHO_N "(cached) $ECHO_C" >&6
19444    else
19445      cat >conftest.$ac_ext <<_ACEOF
19446    /* confdefs.h.  */
19447    _ACEOF
19448    cat confdefs.h >>conftest.$ac_ext
19449    cat >>conftest.$ac_ext <<_ACEOF
19450    /* end confdefs.h.  */
19451    
19452    int
19453    main ()
19454    {
19455    
19456      ;
19457      return 0;
19458    }
19459    _ACEOF
19460    rm -f conftest.$ac_objext
19461    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19462      (eval $ac_compile) 2>conftest.er1
19463      ac_status=$?
19464      grep -v '^ *+' conftest.er1 >conftest.err
19465      rm -f conftest.er1
19466      cat conftest.err >&5
19467      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19468      (exit $ac_status); } &&
19469             { ac_try='test -z "$ac_cxx_werror_flag"
19470                             || test ! -s conftest.err'
19471      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19472      (eval $ac_try) 2>&5
19473      ac_status=$?
19474      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19475      (exit $ac_status); }; } &&
19476             { ac_try='test -s conftest.$ac_objext'
19477      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19478      (eval $ac_try) 2>&5
19479      ac_status=$?
19480      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19481      (exit $ac_status); }; }; then
19482      ac_cv_prog_cxx_g=yes
19483    else
19484      echo "$as_me: failed program was:" >&5
19485    sed 's/^/| /' conftest.$ac_ext >&5
19486    
19487    ac_cv_prog_cxx_g=no
19488    fi
19489    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19490    fi
19491    echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
19492    echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
19493    if test "$ac_test_CXXFLAGS" = set; then
19494      CXXFLAGS=$ac_save_CXXFLAGS
19495    elif test $ac_cv_prog_cxx_g = yes; then
19496      if test "$GXX" = yes; then
19497        CXXFLAGS="-g -O2"
19498      else
19499        CXXFLAGS="-g"
19500      fi
19501    else
19502      if test "$GXX" = yes; then
19503        CXXFLAGS="-O2"
19504      else
19505        CXXFLAGS=
19506      fi
19507    fi
19508    for ac_declaration in \
19509       '' \
19510       'extern "C" void std::exit (int) throw (); using std::exit;' \
19511       'extern "C" void std::exit (int); using std::exit;' \
19512       'extern "C" void exit (int) throw ();' \
19513       'extern "C" void exit (int);' \
19514       'void exit (int);'
19515    do
19516      cat >conftest.$ac_ext <<_ACEOF
19517    /* confdefs.h.  */
19518    _ACEOF
19519    cat confdefs.h >>conftest.$ac_ext
19520    cat >>conftest.$ac_ext <<_ACEOF
19521    /* end confdefs.h.  */
19522    $ac_declaration
19523    #include <stdlib.h>
19524    int
19525    main ()
19526    {
19527    exit (42);
19528      ;
19529      return 0;
19530    }
19531    _ACEOF
19532    rm -f conftest.$ac_objext
19533    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19534      (eval $ac_compile) 2>conftest.er1
19535      ac_status=$?
19536      grep -v '^ *+' conftest.er1 >conftest.err
19537      rm -f conftest.er1
19538      cat conftest.err >&5
19539      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19540      (exit $ac_status); } &&
19541             { ac_try='test -z "$ac_cxx_werror_flag"
19542                             || test ! -s conftest.err'
19543      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19544      (eval $ac_try) 2>&5
19545      ac_status=$?
19546      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19547      (exit $ac_status); }; } &&
19548             { ac_try='test -s conftest.$ac_objext'
19549      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19550      (eval $ac_try) 2>&5
19551      ac_status=$?
19552      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19553      (exit $ac_status); }; }; then
19554      :
19555    else
19556      echo "$as_me: failed program was:" >&5
19557    sed 's/^/| /' conftest.$ac_ext >&5
19558    
19559    continue
19560    fi
19561    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19562      cat >conftest.$ac_ext <<_ACEOF
19563    /* confdefs.h.  */
19564    _ACEOF
19565    cat confdefs.h >>conftest.$ac_ext
19566    cat >>conftest.$ac_ext <<_ACEOF
19567    /* end confdefs.h.  */
19568    $ac_declaration
19569    int
19570    main ()
19571    {
19572    exit (42);
19573      ;
19574      return 0;
19575    }
19576    _ACEOF
19577    rm -f conftest.$ac_objext
19578    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19579      (eval $ac_compile) 2>conftest.er1
19580      ac_status=$?
19581      grep -v '^ *+' conftest.er1 >conftest.err
19582      rm -f conftest.er1
19583      cat conftest.err >&5
19584      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19585      (exit $ac_status); } &&
19586             { ac_try='test -z "$ac_cxx_werror_flag"
19587                             || test ! -s conftest.err'
19588      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19589      (eval $ac_try) 2>&5
19590      ac_status=$?
19591      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19592      (exit $ac_status); }; } &&
19593             { ac_try='test -s conftest.$ac_objext'
19594      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19595      (eval $ac_try) 2>&5
19596      ac_status=$?
19597      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19598      (exit $ac_status); }; }; then
19599      break
19600    else
19601      echo "$as_me: failed program was:" >&5
19602    sed 's/^/| /' conftest.$ac_ext >&5
19603    
19604    fi
19605    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
19606    done
19607    rm -f conftest*
19608    if test -n "$ac_declaration"; then
19609      echo '#ifdef __cplusplus' >>confdefs.h
19610      echo $ac_declaration      >>confdefs.h
19611      echo '#endif'             >>confdefs.h
19612    fi
19613    
19614    ac_ext=c
19615    ac_cpp='$CPP $CPPFLAGS'
19616    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
19617    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
19618    ac_compiler_gnu=$ac_cv_c_compiler_gnu
19619    
19620    depcc="$CXX"  am_compiler_list=
19621    
19622    echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
19623    echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
19624    if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
19625      echo $ECHO_N "(cached) $ECHO_C" >&6
19626    else
19627      if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
19628      # We make a subdir and do the tests there.  Otherwise we can end up
19629      # making bogus files that we don't know about and never remove.  For
19630      # instance it was reported that on HP-UX the gcc test will end up
19631      # making a dummy file named `D' -- because `-MD' means `put the output
19632      # in D'.
19633      mkdir conftest.dir
19634      # Copy depcomp to subdir because otherwise we won't find it if we're
19635      # using a relative directory.
19636      cp "$am_depcomp" conftest.dir
19637      cd conftest.dir
19638      # We will build objects and dependencies in a subdirectory because
19639      # it helps to detect inapplicable dependency modes.  For instance
19640      # both Tru64's cc and ICC support -MD to output dependencies as a
19641      # side effect of compilation, but ICC will put the dependencies in
19642      # the current directory while Tru64 will put them in the object
19643      # directory.
19644      mkdir sub
19645    
19646      am_cv_CXX_dependencies_compiler_type=none
19647      if test "$am_compiler_list" = ""; then
19648         am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
19649      fi
19650      for depmode in $am_compiler_list; do
19651        # Setup a source with many dependencies, because some compilers
19652        # like to wrap large dependency lists on column 80 (with \), and
19653        # we should not choose a depcomp mode which is confused by this.
19654        #
19655        # We need to recreate these files for each test, as the compiler may
19656        # overwrite some of them when testing with obscure command lines.
19657        # This happens at least with the AIX C compiler.
19658        : > sub/conftest.c
19659        for i in 1 2 3 4 5 6; do
19660          echo '#include "conftst'$i'.h"' >> sub/conftest.c
19661          # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
19662          # Solaris 8's {/usr,}/bin/sh.
19663          touch sub/conftst$i.h
19664        done
19665        echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
19666    
19667        case $depmode in
19668        nosideeffect)
19669          # after this tag, mechanisms are not by side-effect, so they'll
19670          # only be used when explicitly requested
19671          if test "x$enable_dependency_tracking" = xyes; then
19672            continue
19673          else
19674            break
19675          fi
19676          ;;
19677        none) break ;;
19678        esac
19679        # We check with `-c' and `-o' for the sake of the "dashmstdout"
19680        # mode.  It turns out that the SunPro C++ compiler does not properly
19681        # handle `-M -o', and we need to detect this.
19682        if depmode=$depmode \
19683           source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
19684           depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
19685           $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
19686             >/dev/null 2>conftest.err &&
19687           grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
19688           grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
19689           ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
19690          # icc doesn't choke on unknown options, it will just issue warnings
19691          # or remarks (even with -Werror).  So we grep stderr for any message
19692          # that says an option was ignored or not supported.
19693          # When given -MP, icc 7.0 and 7.1 complain thusly:
19694          #   icc: Command line warning: ignoring option '-M'; no argument required
19695          # The diagnosis changed in icc 8.0:
19696          #   icc: Command line remark: option '-MP' not supported
19697          if (grep 'ignoring option' conftest.err ||
19698              grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
19699            am_cv_CXX_dependencies_compiler_type=$depmode
19700            break
19701          fi
19702        fi
19703      done
19704    
19705      cd ..
19706      rm -rf conftest.dir
19707    else
19708      am_cv_CXX_dependencies_compiler_type=none
19709    fi
19710    
19711    fi
19712    echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
19713    echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
19714    CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
19715    
19716    
19717    
19718    if
19719      test "x$enable_dependency_tracking" != xno \
19720      && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
19721      am__fastdepCXX_TRUE=
19722      am__fastdepCXX_FALSE='#'
19723    else
19724      am__fastdepCXX_TRUE='#'
19725      am__fastdepCXX_FALSE=
19726    fi
19727    
19728    
19729    ac_ext=c
19730    ac_cpp='$CPP $CPPFLAGS'
19731    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
19732    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
19733    ac_compiler_gnu=$ac_cv_c_compiler_gnu
19734    if test -n "$ac_tool_prefix"; then
19735      # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
19736    set dummy ${ac_tool_prefix}gcc; ac_word=$2
19737    echo "$as_me:$LINENO: checking for $ac_word" >&5
19738    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19739    if test "${ac_cv_prog_CC+set}" = set; then
19740      echo $ECHO_N "(cached) $ECHO_C" >&6
19741    else
19742      if test -n "$CC"; then
19743      ac_cv_prog_CC="$CC" # Let the user override the test.
19744    else
19745    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19746    for as_dir in $PATH
19747    do
19748      IFS=$as_save_IFS
19749      test -z "$as_dir" && as_dir=.
19750      for ac_exec_ext in '' $ac_executable_extensions; do
19751      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19752        ac_cv_prog_CC="${ac_tool_prefix}gcc"
19753        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19754        break 2
19755      fi
19756    done
19757    done
19758    
19759    fi
19760    fi
19761    CC=$ac_cv_prog_CC
19762    if test -n "$CC"; then
19763      echo "$as_me:$LINENO: result: $CC" >&5
19764    echo "${ECHO_T}$CC" >&6
19765    else
19766      echo "$as_me:$LINENO: result: no" >&5
19767    echo "${ECHO_T}no" >&6
19768    fi
19769    
19770    fi
19771    if test -z "$ac_cv_prog_CC"; then
19772      ac_ct_CC=$CC
19773      # Extract the first word of "gcc", so it can be a program name with args.
19774    set dummy gcc; ac_word=$2
19775    echo "$as_me:$LINENO: checking for $ac_word" >&5
19776    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19777    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
19778      echo $ECHO_N "(cached) $ECHO_C" >&6
19779    else
19780      if test -n "$ac_ct_CC"; then
19781      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
19782    else
19783    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19784    for as_dir in $PATH
19785    do
19786      IFS=$as_save_IFS
19787      test -z "$as_dir" && as_dir=.
19788      for ac_exec_ext in '' $ac_executable_extensions; do
19789      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19790        ac_cv_prog_ac_ct_CC="gcc"
19791        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19792        break 2
19793      fi
19794    done
19795    done
19796    
19797    fi
19798    fi
19799    ac_ct_CC=$ac_cv_prog_ac_ct_CC
19800    if test -n "$ac_ct_CC"; then
19801      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
19802    echo "${ECHO_T}$ac_ct_CC" >&6
19803    else
19804      echo "$as_me:$LINENO: result: no" >&5
19805    echo "${ECHO_T}no" >&6
19806    fi
19807    
19808      CC=$ac_ct_CC
19809    else
19810      CC="$ac_cv_prog_CC"
19811    fi
19812    
19813    if test -z "$CC"; then
19814      if test -n "$ac_tool_prefix"; then
19815      # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
19816    set dummy ${ac_tool_prefix}cc; ac_word=$2
19817    echo "$as_me:$LINENO: checking for $ac_word" >&5
19818    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19819    if test "${ac_cv_prog_CC+set}" = set; then
19820      echo $ECHO_N "(cached) $ECHO_C" >&6
19821    else
19822      if test -n "$CC"; then
19823      ac_cv_prog_CC="$CC" # Let the user override the test.
19824    else
19825    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19826    for as_dir in $PATH
19827    do
19828      IFS=$as_save_IFS
19829      test -z "$as_dir" && as_dir=.
19830      for ac_exec_ext in '' $ac_executable_extensions; do
19831      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19832        ac_cv_prog_CC="${ac_tool_prefix}cc"
19833        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19834        break 2
19835      fi
19836    done
19837    done
19838    
19839    fi
19840    fi
19841    CC=$ac_cv_prog_CC
19842    if test -n "$CC"; then
19843      echo "$as_me:$LINENO: result: $CC" >&5
19844    echo "${ECHO_T}$CC" >&6
19845    else
19846      echo "$as_me:$LINENO: result: no" >&5
19847    echo "${ECHO_T}no" >&6
19848    fi
19849    
19850    fi
19851    if test -z "$ac_cv_prog_CC"; then
19852      ac_ct_CC=$CC
19853      # Extract the first word of "cc", so it can be a program name with args.
19854    set dummy cc; ac_word=$2
19855    echo "$as_me:$LINENO: checking for $ac_word" >&5
19856    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19857    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
19858      echo $ECHO_N "(cached) $ECHO_C" >&6
19859    else
19860      if test -n "$ac_ct_CC"; then
19861      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
19862    else
19863    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19864    for as_dir in $PATH
19865    do
19866      IFS=$as_save_IFS
19867      test -z "$as_dir" && as_dir=.
19868      for ac_exec_ext in '' $ac_executable_extensions; do
19869      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19870        ac_cv_prog_ac_ct_CC="cc"
19871        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19872        break 2
19873      fi
19874    done
19875    done
19876    
19877    fi
19878    fi
19879    ac_ct_CC=$ac_cv_prog_ac_ct_CC
19880    if test -n "$ac_ct_CC"; then
19881      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
19882    echo "${ECHO_T}$ac_ct_CC" >&6
19883    else
19884      echo "$as_me:$LINENO: result: no" >&5
19885    echo "${ECHO_T}no" >&6
19886    fi
19887    
19888      CC=$ac_ct_CC
19889    else
19890      CC="$ac_cv_prog_CC"
19891    fi
19892    
19893    fi
19894    if test -z "$CC"; then
19895      # Extract the first word of "cc", so it can be a program name with args.
19896    set dummy cc; ac_word=$2
19897    echo "$as_me:$LINENO: checking for $ac_word" >&5
19898    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19899    if test "${ac_cv_prog_CC+set}" = set; then
19900      echo $ECHO_N "(cached) $ECHO_C" >&6
19901    else
19902      if test -n "$CC"; then
19903      ac_cv_prog_CC="$CC" # Let the user override the test.
19904    else
19905      ac_prog_rejected=no
19906    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19907    for as_dir in $PATH
19908    do
19909      IFS=$as_save_IFS
19910      test -z "$as_dir" && as_dir=.
19911      for ac_exec_ext in '' $ac_executable_extensions; do
19912      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19913        if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
19914           ac_prog_rejected=yes
19915           continue
19916         fi
19917        ac_cv_prog_CC="cc"
19918        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19919        break 2
19920      fi
19921    done
19922    done
19923    
19924    if test $ac_prog_rejected = yes; then
19925      # We found a bogon in the path, so make sure we never use it.
19926      set dummy $ac_cv_prog_CC
19927      shift
19928      if test $# != 0; then
19929        # We chose a different compiler from the bogus one.
19930        # However, it has the same basename, so the bogon will be chosen
19931        # first if we set CC to just the basename; use the full file name.
19932        shift
19933        ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
19934      fi
19935    fi
19936    fi
19937    fi
19938    CC=$ac_cv_prog_CC
19939    if test -n "$CC"; then
19940      echo "$as_me:$LINENO: result: $CC" >&5
19941    echo "${ECHO_T}$CC" >&6
19942    else
19943      echo "$as_me:$LINENO: result: no" >&5
19944    echo "${ECHO_T}no" >&6
19945    fi
19946    
19947    fi
19948    if test -z "$CC"; then
19949      if test -n "$ac_tool_prefix"; then
19950      for ac_prog in cl
19951      do
19952        # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
19953    set dummy $ac_tool_prefix$ac_prog; ac_word=$2
19954    echo "$as_me:$LINENO: checking for $ac_word" >&5
19955    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19956    if test "${ac_cv_prog_CC+set}" = set; then
19957      echo $ECHO_N "(cached) $ECHO_C" >&6
19958    else
19959      if test -n "$CC"; then
19960      ac_cv_prog_CC="$CC" # Let the user override the test.
19961    else
19962    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
19963    for as_dir in $PATH
19964    do
19965      IFS=$as_save_IFS
19966      test -z "$as_dir" && as_dir=.
19967      for ac_exec_ext in '' $ac_executable_extensions; do
19968      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
19969        ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
19970        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
19971        break 2
19972      fi
19973    done
19974    done
19975    
19976    fi
19977    fi
19978    CC=$ac_cv_prog_CC
19979    if test -n "$CC"; then
19980      echo "$as_me:$LINENO: result: $CC" >&5
19981    echo "${ECHO_T}$CC" >&6
19982    else
19983      echo "$as_me:$LINENO: result: no" >&5
19984    echo "${ECHO_T}no" >&6
19985    fi
19986    
19987        test -n "$CC" && break
19988      done
19989    fi
19990    if test -z "$CC"; then
19991      ac_ct_CC=$CC
19992      for ac_prog in cl
19993    do
19994      # Extract the first word of "$ac_prog", so it can be a program name with args.
19995    set dummy $ac_prog; ac_word=$2
19996    echo "$as_me:$LINENO: checking for $ac_word" >&5
19997    echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
19998    if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
19999      echo $ECHO_N "(cached) $ECHO_C" >&6
20000    else
20001      if test -n "$ac_ct_CC"; then
20002      ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
20003    else
20004    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
20005    for as_dir in $PATH
20006    do
20007      IFS=$as_save_IFS
20008      test -z "$as_dir" && as_dir=.
20009      for ac_exec_ext in '' $ac_executable_extensions; do
20010      if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
20011        ac_cv_prog_ac_ct_CC="$ac_prog"
20012        echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
20013        break 2
20014      fi
20015    done
20016    done
20017    
20018    fi
20019    fi
20020    ac_ct_CC=$ac_cv_prog_ac_ct_CC
20021    if test -n "$ac_ct_CC"; then
20022      echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
20023    echo "${ECHO_T}$ac_ct_CC" >&6
20024    else
20025      echo "$as_me:$LINENO: result: no" >&5
20026    echo "${ECHO_T}no" >&6
20027    fi
20028    
20029      test -n "$ac_ct_CC" && break
20030    done
20031    
20032      CC=$ac_ct_CC
20033    fi
20034    
20035    fi
20036    
20037    
20038    test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
20039    See \`config.log' for more details." >&5
20040    echo "$as_me: error: no acceptable C compiler found in \$PATH
20041    See \`config.log' for more details." >&2;}
20042       { (exit 1); exit 1; }; }
20043    
20044    # Provide some information about the compiler.
20045    echo "$as_me:$LINENO:" \
20046         "checking for C compiler version" >&5
20047    ac_compiler=`set X $ac_compile; echo $2`
20048    { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
20049      (eval $ac_compiler --version </dev/null >&5) 2>&5
20050      ac_status=$?
20051      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20052      (exit $ac_status); }
20053    { (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
20054      (eval $ac_compiler -v </dev/null >&5) 2>&5
20055      ac_status=$?
20056      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20057      (exit $ac_status); }
20058    { (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
20059      (eval $ac_compiler -V </dev/null >&5) 2>&5
20060      ac_status=$?
20061      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20062      (exit $ac_status); }
20063    
20064    echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
20065    echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
20066    if test "${ac_cv_c_compiler_gnu+set}" = set; then
20067      echo $ECHO_N "(cached) $ECHO_C" >&6
20068    else
20069      cat >conftest.$ac_ext <<_ACEOF
20070    /* confdefs.h.  */
20071    _ACEOF
20072    cat confdefs.h >>conftest.$ac_ext
20073    cat >>conftest.$ac_ext <<_ACEOF
20074    /* end confdefs.h.  */
20075    
20076    int
20077    main ()
20078    {
20079    #ifndef __GNUC__
20080           choke me
20081    #endif
20082    
20083      ;
20084      return 0;
20085    }
20086    _ACEOF
20087    rm -f conftest.$ac_objext
20088    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20089      (eval $ac_compile) 2>conftest.er1
20090      ac_status=$?
20091      grep -v '^ *+' conftest.er1 >conftest.err
20092      rm -f conftest.er1
20093      cat conftest.err >&5
20094      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20095      (exit $ac_status); } &&
20096             { ac_try='test -z "$ac_c_werror_flag"
20097                             || test ! -s conftest.err'
20098      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20099      (eval $ac_try) 2>&5
20100      ac_status=$?
20101      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20102      (exit $ac_status); }; } &&
20103             { ac_try='test -s conftest.$ac_objext'
20104      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20105      (eval $ac_try) 2>&5
20106      ac_status=$?
20107      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20108      (exit $ac_status); }; }; then
20109      ac_compiler_gnu=yes
20110    else
20111      echo "$as_me: failed program was:" >&5
20112    sed 's/^/| /' conftest.$ac_ext >&5
20113    
20114    ac_compiler_gnu=no
20115    fi
20116    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
20117    ac_cv_c_compiler_gnu=$ac_compiler_gnu
20118    
20119    fi
20120    echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
20121    echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
20122    GCC=`test $ac_compiler_gnu = yes && echo yes`
20123    ac_test_CFLAGS=${CFLAGS+set}
20124    ac_save_CFLAGS=$CFLAGS
20125    CFLAGS="-g"
20126    echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
20127    echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
20128    if test "${ac_cv_prog_cc_g+set}" = set; then
20129      echo $ECHO_N "(cached) $ECHO_C" >&6
20130    else
20131      cat >conftest.$ac_ext <<_ACEOF
20132    /* confdefs.h.  */
20133    _ACEOF
20134    cat confdefs.h >>conftest.$ac_ext
20135    cat >>conftest.$ac_ext <<_ACEOF
20136    /* end confdefs.h.  */
20137    
20138    int
20139    main ()
20140    {
20141    
20142      ;
20143      return 0;
20144    }
20145    _ACEOF
20146    rm -f conftest.$ac_objext
20147    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20148      (eval $ac_compile) 2>conftest.er1
20149      ac_status=$?
20150      grep -v '^ *+' conftest.er1 >conftest.err
20151      rm -f conftest.er1
20152      cat conftest.err >&5
20153      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20154      (exit $ac_status); } &&
20155             { ac_try='test -z "$ac_c_werror_flag"
20156                             || test ! -s conftest.err'
20157      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20158      (eval $ac_try) 2>&5
20159      ac_status=$?
20160      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20161      (exit $ac_status); }; } &&
20162             { ac_try='test -s conftest.$ac_objext'
20163      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20164      (eval $ac_try) 2>&5
20165      ac_status=$?
20166      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20167      (exit $ac_status); }; }; then
20168      ac_cv_prog_cc_g=yes
20169    else
20170      echo "$as_me: failed program was:" >&5
20171    sed 's/^/| /' conftest.$ac_ext >&5
20172    
20173    ac_cv_prog_cc_g=no
20174    fi
20175    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
20176    fi
20177    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
20178    echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
20179    if test "$ac_test_CFLAGS" = set; then
20180      CFLAGS=$ac_save_CFLAGS
20181    elif test $ac_cv_prog_cc_g = yes; then
20182      if test "$GCC" = yes; then
20183        CFLAGS="-g -O2"
20184      else
20185        CFLAGS="-g"
20186      fi
20187    else
20188      if test "$GCC" = yes; then
20189        CFLAGS="-O2"
20190      else
20191        CFLAGS=
20192      fi
20193    fi
20194    echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
20195    echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
20196    if test "${ac_cv_prog_cc_stdc+set}" = set; then
20197      echo $ECHO_N "(cached) $ECHO_C" >&6
20198    else
20199      ac_cv_prog_cc_stdc=no
20200    ac_save_CC=$CC
20201    cat >conftest.$ac_ext <<_ACEOF
20202    /* confdefs.h.  */
20203    _ACEOF
20204    cat confdefs.h >>conftest.$ac_ext
20205    cat >>conftest.$ac_ext <<_ACEOF
20206    /* end confdefs.h.  */
20207    #include <stdarg.h>
20208    #include <stdio.h>
20209    #include <sys/types.h>
20210    #include <sys/stat.h>
20211    /* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
20212    struct buf { int x; };
20213    FILE * (*rcsopen) (struct buf *, struct stat *, int);
20214    static char *e (p, i)
20215         char **p;
20216         int i;
20217    {
20218      return p[i];
20219    }
20220    static char *f (char * (*g) (char **, int), char **p, ...)
20221    {
20222      char *s;
20223      va_list v;
20224      va_start (v,p);
20225      s = g (p, va_arg (v,int));
20226      va_end (v);
20227      return s;
20228    }
20229    
20230    /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
20231       function prototypes and stuff, but not '\xHH' hex character constants.
20232       These don't provoke an error unfortunately, instead are silently treated
20233       as 'x'.  The following induces an error, until -std1 is added to get
20234       proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
20235       array size at least.  It's necessary to write '\x00'==0 to get something
20236       that's true only with -std1.  */
20237    int osf4_cc_array ['\x00' == 0 ? 1 : -1];
20238    
20239    int test (int i, double x);
20240    struct s1 {int (*f) (int a);};
20241    struct s2 {int (*f) (double a);};
20242    int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
20243    int argc;
20244    char **argv;
20245    int
20246    main ()
20247    {
20248    return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
20249      ;
20250      return 0;
20251    }
20252    _ACEOF
20253    # Don't try gcc -ansi; that turns off useful extensions and
20254    # breaks some systems' header files.
20255    # AIX                   -qlanglvl=ansi
20256    # Ultrix and OSF/1      -std1
20257    # HP-UX 10.20 and later -Ae
20258    # HP-UX older versions  -Aa -D_HPUX_SOURCE
20259    # SVR4                  -Xc -D__EXTENSIONS__
20260    for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
20261    do
20262      CC="$ac_save_CC $ac_arg"
20263      rm -f conftest.$ac_objext
20264    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20265      (eval $ac_compile) 2>conftest.er1
20266      ac_status=$?
20267      grep -v '^ *+' conftest.er1 >conftest.err
20268      rm -f conftest.er1
20269      cat conftest.err >&5
20270      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20271      (exit $ac_status); } &&
20272             { ac_try='test -z "$ac_c_werror_flag"
20273                             || test ! -s conftest.err'
20274      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20275      (eval $ac_try) 2>&5
20276      ac_status=$?
20277      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20278      (exit $ac_status); }; } &&
20279             { ac_try='test -s conftest.$ac_objext'
20280      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20281      (eval $ac_try) 2>&5
20282      ac_status=$?
20283      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20284      (exit $ac_status); }; }; then
20285      ac_cv_prog_cc_stdc=$ac_arg
20286    break
20287    else
20288      echo "$as_me: failed program was:" >&5
20289    sed 's/^/| /' conftest.$ac_ext >&5
20290    
20291    fi
20292    rm -f conftest.err conftest.$ac_objext
20293    done
20294    rm -f conftest.$ac_ext conftest.$ac_objext
20295    CC=$ac_save_CC
20296    
20297    fi
20298    
20299    case "x$ac_cv_prog_cc_stdc" in
20300      x|xno)
20301        echo "$as_me:$LINENO: result: none needed" >&5
20302    echo "${ECHO_T}none needed" >&6 ;;
20303      *)
20304        echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
20305    echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
20306        CC="$CC $ac_cv_prog_cc_stdc" ;;
20307    esac
20308    
20309    # Some people use a C++ compiler to compile C.  Since we use `exit',
20310    # in C++ we need to declare it.  In case someone uses the same compiler
20311    # for both compiling C and C++ we need to have the C++ compiler decide
20312    # the declaration of exit, since it's the most demanding environment.
20313    cat >conftest.$ac_ext <<_ACEOF
20314    #ifndef __cplusplus
20315      choke me
20316    #endif
20317    _ACEOF
20318    rm -f conftest.$ac_objext
20319    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20320      (eval $ac_compile) 2>conftest.er1
20321      ac_status=$?
20322      grep -v '^ *+' conftest.er1 >conftest.err
20323      rm -f conftest.er1
20324      cat conftest.err >&5
20325      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20326      (exit $ac_status); } &&
20327             { ac_try='test -z "$ac_c_werror_flag"
20328                             || test ! -s conftest.err'
20329      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20330      (eval $ac_try) 2>&5
20331      ac_status=$?
20332      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20333      (exit $ac_status); }; } &&
20334             { ac_try='test -s conftest.$ac_objext'
20335      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20336      (eval $ac_try) 2>&5
20337      ac_status=$?
20338      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20339      (exit $ac_status); }; }; then
20340      for ac_declaration in \
20341       '' \
20342       'extern "C" void std::exit (int) throw (); using std::exit;' \
20343       'extern "C" void std::exit (int); using std::exit;' \
20344       'extern "C" void exit (int) throw ();' \
20345       'extern "C" void exit (int);' \
20346       'void exit (int);'
20347    do
20348      cat >conftest.$ac_ext <<_ACEOF
20349    /* confdefs.h.  */
20350    _ACEOF
20351    cat confdefs.h >>conftest.$ac_ext
20352    cat >>conftest.$ac_ext <<_ACEOF
20353    /* end confdefs.h.  */
20354    $ac_declaration
20355    #include <stdlib.h>
20356    int
20357    main ()
20358    {
20359    exit (42);
20360      ;
20361      return 0;
20362    }
20363    _ACEOF
20364    rm -f conftest.$ac_objext
20365    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20366      (eval $ac_compile) 2>conftest.er1
20367      ac_status=$?
20368      grep -v '^ *+' conftest.er1 >conftest.err
20369      rm -f conftest.er1
20370      cat conftest.err >&5
20371      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20372      (exit $ac_status); } &&
20373             { ac_try='test -z "$ac_c_werror_flag"
20374                             || test ! -s conftest.err'
20375      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20376      (eval $ac_try) 2>&5
20377      ac_status=$?
20378      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20379      (exit $ac_status); }; } &&
20380             { ac_try='test -s conftest.$ac_objext'
20381      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20382      (eval $ac_try) 2>&5
20383      ac_status=$?
20384      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20385      (exit $ac_status); }; }; then
20386      :
20387    else
20388      echo "$as_me: failed program was:" >&5
20389    sed 's/^/| /' conftest.$ac_ext >&5
20390    
20391    continue
20392    fi
20393    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
20394      cat >conftest.$ac_ext <<_ACEOF
20395    /* confdefs.h.  */
20396    _ACEOF
20397    cat confdefs.h >>conftest.$ac_ext
20398    cat >>conftest.$ac_ext <<_ACEOF
20399    /* end confdefs.h.  */
20400    $ac_declaration
20401    int
20402    main ()
20403    {
20404    exit (42);
20405      ;
20406      return 0;
20407    }
20408    _ACEOF
20409    rm -f conftest.$ac_objext
20410    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
20411      (eval $ac_compile) 2>conftest.er1
20412      ac_status=$?
20413      grep -v '^ *+' conftest.er1 >conftest.err
20414      rm -f conftest.er1
20415      cat conftest.err >&5
20416      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20417      (exit $ac_status); } &&
20418             { ac_try='test -z "$ac_c_werror_flag"
20419                             || test ! -s conftest.err'
20420      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20421      (eval $ac_try) 2>&5
20422      ac_status=$?
20423      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20424      (exit $ac_status); }; } &&
20425             { ac_try='test -s conftest.$ac_objext'
20426      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
20427      (eval $ac_try) 2>&5
20428      ac_status=$?
20429      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20430      (exit $ac_status); }; }; then
20431      break
20432    else
20433      echo "$as_me: failed program was:" >&5
20434    sed 's/^/| /' conftest.$ac_ext >&5
20435    
20436    fi
20437    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
20438    done
20439    rm -f conftest*
20440    if test -n "$ac_declaration"; then
20441      echo '#ifdef __cplusplus' >>confdefs.h
20442      echo $ac_declaration      >>confdefs.h
20443      echo '#endif'             >>confdefs.h
20444    fi
20445    
20446    else
20447      echo "$as_me: failed program was:" >&5
20448    sed 's/^/| /' conftest.$ac_ext >&5
20449    
20450    fi
20451    rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
20452    ac_ext=c
20453    ac_cpp='$CPP $CPPFLAGS'
20454    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
20455    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
20456    ac_compiler_gnu=$ac_cv_c_compiler_gnu
20457    
20458    depcc="$CC"   am_compiler_list=
20459    
20460    echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
20461    echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
20462    if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
20463      echo $ECHO_N "(cached) $ECHO_C" >&6
20464    else
20465      if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
20466      # We make a subdir and do the tests there.  Otherwise we can end up
20467      # making bogus files that we don't know about and never remove.  For
20468      # instance it was reported that on HP-UX the gcc test will end up
20469      # making a dummy file named `D' -- because `-MD' means `put the output
20470      # in D'.
20471      mkdir conftest.dir
20472      # Copy depcomp to subdir because otherwise we won't find it if we're
20473      # using a relative directory.
20474      cp "$am_depcomp" conftest.dir
20475      cd conftest.dir
20476      # We will build objects and dependencies in a subdirectory because
20477      # it helps to detect inapplicable dependency modes.  For instance
20478      # both Tru64's cc and ICC support -MD to output dependencies as a
20479      # side effect of compilation, but ICC will put the dependencies in
20480      # the current directory while Tru64 will put them in the object
20481      # directory.
20482      mkdir sub
20483    
20484      am_cv_CC_dependencies_compiler_type=none
20485      if test "$am_compiler_list" = ""; then
20486         am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
20487      fi
20488      for depmode in $am_compiler_list; do
20489        # Setup a source with many dependencies, because some compilers
20490        # like to wrap large dependency lists on column 80 (with \), and
20491        # we should not choose a depcomp mode which is confused by this.
20492        #
20493        # We need to recreate these files for each test, as the compiler may
20494        # overwrite some of them when testing with obscure command lines.
20495        # This happens at least with the AIX C compiler.
20496        : > sub/conftest.c
20497        for i in 1 2 3 4 5 6; do
20498          echo '#include "conftst'$i'.h"' >> sub/conftest.c
20499          # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
20500          # Solaris 8's {/usr,}/bin/sh.
20501          touch sub/conftst$i.h
20502        done
20503        echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
20504    
20505        case $depmode in
20506        nosideeffect)
20507          # after this tag, mechanisms are not by side-effect, so they'll
20508          # only be used when explicitly requested
20509          if test "x$enable_dependency_tracking" = xyes; then
20510            continue
20511          else
20512            break
20513          fi
20514          ;;
20515        none) break ;;
20516        esac
20517        # We check with `-c' and `-o' for the sake of the "dashmstdout"
20518        # mode.  It turns out that the SunPro C++ compiler does not properly
20519        # handle `-M -o', and we need to detect this.
20520        if depmode=$depmode \
20521           source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
20522           depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
20523           $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
20524             >/dev/null 2>conftest.err &&
20525           grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
20526           grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
20527           ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
20528          # icc doesn't choke on unknown options, it will just issue warnings
20529          # or remarks (even with -Werror).  So we grep stderr for any message
20530          # that says an option was ignored or not supported.
20531          # When given -MP, icc 7.0 and 7.1 complain thusly:
20532          #   icc: Command line warning: ignoring option '-M'; no argument required
20533          # The diagnosis changed in icc 8.0:
20534          #   icc: Command line remark: option '-MP' not supported
20535          if (grep 'ignoring option' conftest.err ||
20536              grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
20537            am_cv_CC_dependencies_compiler_type=$depmode
20538            break
20539          fi
20540        fi
20541      done
20542    
20543      cd ..
20544      rm -rf conftest.dir
20545    else
20546      am_cv_CC_dependencies_compiler_type=none
20547    fi
20548    
20549    fi
20550    echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
20551    echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
20552    CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
20553    
20554    
20555    
20556    if
20557      test "x$enable_dependency_tracking" != xno \
20558      && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
20559      am__fastdepCC_TRUE=
20560      am__fastdepCC_FALSE='#'
20561    else
20562      am__fastdepCC_TRUE='#'
20563      am__fastdepCC_FALSE=
20564    fi
20565    
20566    
20567    ac_ext=c
20568    ac_cpp='$CPP $CPPFLAGS'
20569    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
20570    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
20571    ac_compiler_gnu=$ac_cv_c_compiler_gnu
20572    echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
20573    echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
20574    # On Suns, sometimes $CPP names a directory.
20575    if test -n "$CPP" && test -d "$CPP"; then
20576      CPP=
20577    fi
20578    if test -z "$CPP"; then
20579      if test "${ac_cv_prog_CPP+set}" = set; then
20580      echo $ECHO_N "(cached) $ECHO_C" >&6
20581    else
20582          # Double quotes because CPP needs to be expanded
20583        for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
20584        do
20585          ac_preproc_ok=false
20586    for ac_c_preproc_warn_flag in '' yes
20587    do
20588      # Use a header file that comes with gcc, so configuring glibc
20589      # with a fresh cross-compiler works.
20590      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
20591      # <limits.h> exists even on freestanding compilers.
20592      # On the NeXT, cc -E runs the code through the compiler's parser,
20593      # not just through cpp. "Syntax error" is here to catch this case.
20594      cat >conftest.$ac_ext <<_ACEOF
20595    /* confdefs.h.  */
20596    _ACEOF
20597    cat confdefs.h >>conftest.$ac_ext
20598    cat >>conftest.$ac_ext <<_ACEOF
20599    /* end confdefs.h.  */
20600    #ifdef __STDC__
20601    # include <limits.h>
20602    #else
20603    # include <assert.h>
20604    #endif
20605                         Syntax error
20606    _ACEOF
20607    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
20608      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
20609      ac_status=$?
20610      grep -v '^ *+' conftest.er1 >conftest.err
20611      rm -f conftest.er1
20612      cat conftest.err >&5
20613      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20614      (exit $ac_status); } >/dev/null; then
20615      if test -s conftest.err; then
20616        ac_cpp_err=$ac_c_preproc_warn_flag
20617        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
20618      else
20619        ac_cpp_err=
20620      fi
20621    else
20622      ac_cpp_err=yes
20623    fi
20624    if test -z "$ac_cpp_err"; then
20625      :
20626    else
20627      echo "$as_me: failed program was:" >&5
20628    sed 's/^/| /' conftest.$ac_ext >&5
20629    
20630      # Broken: fails on valid input.
20631    continue
20632    fi
20633    rm -f conftest.err conftest.$ac_ext
20634    
20635      # OK, works on sane cases.  Now check whether non-existent headers
20636      # can be detected and how.
20637      cat >conftest.$ac_ext <<_ACEOF
20638    /* confdefs.h.  */
20639    _ACEOF
20640    cat confdefs.h >>conftest.$ac_ext
20641    cat >>conftest.$ac_ext <<_ACEOF
20642    /* end confdefs.h.  */
20643    #include <ac_nonexistent.h>
20644    _ACEOF
20645    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
20646      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
20647      ac_status=$?
20648      grep -v '^ *+' conftest.er1 >conftest.err
20649      rm -f conftest.er1
20650      cat conftest.err >&5
20651      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20652      (exit $ac_status); } >/dev/null; then
20653      if test -s conftest.err; then
20654        ac_cpp_err=$ac_c_preproc_warn_flag
20655        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
20656      else
20657        ac_cpp_err=
20658      fi
20659    else
20660      ac_cpp_err=yes
20661    fi
20662    if test -z "$ac_cpp_err"; then
20663      # Broken: success on invalid input.
20664    continue
20665    else
20666      echo "$as_me: failed program was:" >&5
20667    sed 's/^/| /' conftest.$ac_ext >&5
20668    
20669      # Passes both tests.
20670    ac_preproc_ok=:
20671    break
20672    fi
20673    rm -f conftest.err conftest.$ac_ext
20674    
20675    done
20676    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
20677    rm -f conftest.err conftest.$ac_ext
20678    if $ac_preproc_ok; then
20679      break
20680    fi
20681    
20682        done
20683        ac_cv_prog_CPP=$CPP
20684    
20685    fi
20686      CPP=$ac_cv_prog_CPP
20687    else
20688      ac_cv_prog_CPP=$CPP
20689    fi
20690    echo "$as_me:$LINENO: result: $CPP" >&5
20691    echo "${ECHO_T}$CPP" >&6
20692    ac_preproc_ok=false
20693    for ac_c_preproc_warn_flag in '' yes
20694    do
20695      # Use a header file that comes with gcc, so configuring glibc
20696      # with a fresh cross-compiler works.
20697      # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
20698      # <limits.h> exists even on freestanding compilers.
20699      # On the NeXT, cc -E runs the code through the compiler's parser,
20700      # not just through cpp. "Syntax error" is here to catch this case.
20701      cat >conftest.$ac_ext <<_ACEOF
20702    /* confdefs.h.  */
20703    _ACEOF
20704    cat confdefs.h >>conftest.$ac_ext
20705    cat >>conftest.$ac_ext <<_ACEOF
20706    /* end confdefs.h.  */
20707    #ifdef __STDC__
20708    # include <limits.h>
20709    #else
20710    # include <assert.h>
20711    #endif
20712                         Syntax error
20713    _ACEOF
20714    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
20715      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
20716      ac_status=$?
20717      grep -v '^ *+' conftest.er1 >conftest.err
20718      rm -f conftest.er1
20719      cat conftest.err >&5
20720      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20721      (exit $ac_status); } >/dev/null; then
20722      if test -s conftest.err; then
20723        ac_cpp_err=$ac_c_preproc_warn_flag
20724        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
20725      else
20726        ac_cpp_err=
20727      fi
20728    else
20729      ac_cpp_err=yes
20730    fi
20731    if test -z "$ac_cpp_err"; then
20732      :
20733    else
20734      echo "$as_me: failed program was:" >&5
20735    sed 's/^/| /' conftest.$ac_ext >&5
20736    
20737      # Broken: fails on valid input.
20738    continue
20739    fi
20740    rm -f conftest.err conftest.$ac_ext
20741    
20742      # OK, works on sane cases.  Now check whether non-existent headers
20743      # can be detected and how.
20744      cat >conftest.$ac_ext <<_ACEOF
20745    /* confdefs.h.  */
20746    _ACEOF
20747    cat confdefs.h >>conftest.$ac_ext
20748    cat >>conftest.$ac_ext <<_ACEOF
20749    /* end confdefs.h.  */
20750    #include <ac_nonexistent.h>
20751    _ACEOF
20752    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
20753      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
20754      ac_status=$?
20755      grep -v '^ *+' conftest.er1 >conftest.err
20756      rm -f conftest.er1
20757      cat conftest.err >&5
20758      echo "$as_me:$LINENO: \$? = $ac_status" >&5
20759      (exit $ac_status); } >/dev/null; then
20760      if test -s conftest.err; then
20761        ac_cpp_err=$ac_c_preproc_warn_flag
20762        ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
20763      else
20764        ac_cpp_err=
20765      fi
20766    else
20767      ac_cpp_err=yes
20768    fi
20769    if test -z "$ac_cpp_err"; then
20770      # Broken: success on invalid input.
20771    continue
20772    else
20773      echo "$as_me: failed program was:" >&5
20774    sed 's/^/| /' conftest.$ac_ext >&5
20775    
20776      # Passes both tests.
20777    ac_preproc_ok=:
20778    break
20779    fi
20780    rm -f conftest.err conftest.$ac_ext
20781    
20782    done
20783    # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
20784    rm -f conftest.err conftest.$ac_ext
20785    if $ac_preproc_ok; then
20786      :
20787    else
20788      { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
20789    See \`config.log' for more details." >&5
20790    echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
20791    See \`config.log' for more details." >&2;}
20792       { (exit 1); exit 1; }; }
20793    fi
20794    
20795    ac_ext=c
20796    ac_cpp='$CPP $CPPFLAGS'
20797    ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
20798    ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
20799    ac_compiler_gnu=$ac_cv_c_compiler_gnu
20800    
20801    # Find a good install program.  We prefer a C program (faster),
20802    # so one script is as good as another.  But avoid the broken or
20803    # incompatible versions:
20804    # SysV /etc/install, /usr/sbin/install
20805    # SunOS /usr/etc/install
20806    # IRIX /sbin/install
20807    # AIX /bin/install
20808    # AmigaOS /C/install, which installs bootblocks on floppy discs
20809    # AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
20810    # AFS /usr/afsws/bin/install, which mishandles nonexistent args
20811    # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
20812    # OS/2's system install, which has a completely different semantic
20813    # ./install, which can be erroneously created by make from ./install.sh.
20814    echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
20815    echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
20816    if test -z "$INSTALL"; then
20817    if test "${ac_cv_path_install+set}" = set; then
20818      echo $ECHO_N "(cached) $ECHO_C" >&6
20819    else
20820      as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
20821    for as_dir in $PATH
20822    do
20823      IFS=$as_save_IFS
20824      test -z "$as_dir" && as_dir=.
20825      # Account for people who put trailing slashes in PATH elements.
20826    case $as_dir/ in
20827      ./ | .// | /cC/* | \
20828      /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
20829      ?:\\/os2\\/install\\/* | ?:\\/OS2\\/INSTALL\\/* | \
20830      /usr/ucb/* ) ;;
20831      *)
20832        # OSF1 and SCO ODT 3.0 have their own names for install.
20833        # Don't use installbsd from OSF since it installs stuff as root
20834        # by default.
20835        for ac_prog in ginstall scoinst install; do
20836          for ac_exec_ext in '' $ac_executable_extensions; do
20837            if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
20838              if test $ac_prog = install &&
20839                grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
20840                # AIX install.  It has an incompatible calling convention.
20841                :
20842              elif test $ac_prog = install &&
20843                grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
20844                # program-specific install script used by HP pwplus--don't use.
20845                :
20846              else
20847                ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
20848                break 3
20849              fi
20850            fi
20851          done
20852        done
20853        ;;
20854    esac
20855    done
20856    
20857    
20858    fi
20859      if test "${ac_cv_path_install+set}" = set; then
20860        INSTALL=$ac_cv_path_install
20861      else
20862        # As a last resort, use the slow shell script.  We don't cache a
20863        # path for INSTALL within a source directory, because that will
20864        # break other packages using the cache if that directory is
20865        # removed, or if the path is relative.
20866        INSTALL=$ac_install_sh
20867      fi
20868    fi
20869    echo "$as_me:$LINENO: result: $INSTALL" >&5
20870    echo "${ECHO_T}$INSTALL" >&6
20871    
20872    # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
20873    # It thinks the first close brace ends the variable substitution.
20874    test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
20875    
20876    test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'
20877    
20878    test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
20879    
20880    echo "$as_me:$LINENO: checking whether ln -s works" >&5
20881    echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
20882    LN_S=$as_ln_s
20883    if test "$LN_S" = "ln -s"; then
20884      echo "$as_me:$LINENO: result: yes" >&5
20885    echo "${ECHO_T}yes" >&6
20886    else
20887      echo "$as_me:$LINENO: result: no, using $LN_S" >&5
20888    echo "${ECHO_T}no, using $LN_S" >&6
20889    fi
20890    
20891    echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
20892    echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
20893    set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,:./+-,___p_,'`
20894    if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
20895      echo $ECHO_N "(cached) $ECHO_C" >&6
20896    else
20897      cat >conftest.make <<\_ACEOF
20898    all:
20899            @echo 'ac_maketemp="$(MAKE)"'
20900    _ACEOF
20901    # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
20902    eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
20903    if test -n "$ac_maketemp"; then
20904      eval ac_cv_prog_make_${ac_make}_set=yes
20905    else
20906      eval ac_cv_prog_make_${ac_make}_set=no
20907    fi
20908    rm -f conftest.make
20909    fi
20910    if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
20911      echo "$as_me:$LINENO: result: yes" >&5
20912    echo "${ECHO_T}yes" >&6
20913      SET_MAKE=
20914    else
20915      echo "$as_me:$LINENO: result: no" >&5
20916    echo "${ECHO_T}no" >&6
20917      SET_MAKE="MAKE=${MAKE-make}"
20918    fi
20919    
20920    
20921  # Checks for libraries.  # Checks for libraries.
20922    
# Line 21847  echo "$as_me: error: conditional \"am__f Line 23502  echo "$as_me: error: conditional \"am__f
23502  Usually this means the macro was only invoked conditionally." >&2;}  Usually this means the macro was only invoked conditionally." >&2;}
23503     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
23504  fi  fi
23505    if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
23506      { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
23507    Usually this means the macro was only invoked conditionally." >&5
23508    echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
23509    Usually this means the macro was only invoked conditionally." >&2;}
23510       { (exit 1); exit 1; }; }
23511    fi
23512    if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
23513      { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
23514    Usually this means the macro was only invoked conditionally." >&5
23515    echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
23516    Usually this means the macro was only invoked conditionally." >&2;}
23517       { (exit 1); exit 1; }; }
23518    fi
23519    
23520  : ${CONFIG_STATUS=./config.status}  : ${CONFIG_STATUS=./config.status}
23521  ac_clean_files_save=$ac_clean_files  ac_clean_files_save=$ac_clean_files


Legend:
Removed lines/characters  
Changed lines/characters
  Added lines/characters

webmaster@leafok.com
ViewVC Help
Powered by ViewVC 1.3.0-beta1